Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lib
Class FRM_TBL_lib

public class FRM_TBL_lib

This library contains function specially designed fro processing table objects. In this respect this library extends the funtionallity of the standard emos_frm_gui_lib.

NOTE
These functions obey the rules of EMOS Framework (i.e. error logging, error processing, FRM modes, etc.). To understand these concepts you should study and understand emos_frm_gui_lib before you attempt to add your own logic.

Author:
  drajovic
Stereotype compiled module
tsl FRM_TBL_lib.tsl

Method Summary
`int` | `FRM_TBL_set_data(in tid, in test, in obj, in desc, in list)` Performs table action(s) on a 1-dimensional block of table cells.
`int` | `FRM_TBL_set_data_block(in tid, in test, in obj)` Performs table action(s) on a 2-dimensional block of table cells.

Method Detail

### FRM_TBL_set_data

    public int FRM_TBL_set_data(in tid, in test, in obj, in desc, in list)

  Performs table action(s) on a 1-dimensional block of table cells.
  Parameters:
    tid (in) id of the table where the instructins come from
    test (in) name of the test to run (as named in column "Name")
    obj (in) table object where actions are to be performed
    desc (in) [optional] phisical descr. of the object contained in the table cell
    desc (in) [optional] phisical descr. of the list element of the combo box
  Returns: E_OK if success, else error

### FRM_TBL_set_data_block

    public int FRM_TBL_set_data_block(in tid, in test, in obj)

  Performs table action(s) on a 2-dimensional block of table cells.
  Parameters:
    tid (in) id of the table where the instructins come from
    test (in) name of the test to run (as named in column "Name")
    obj (in) table object where actions are to be performed
  Returns: E_OK if success, else error

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD